Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.testelement.property
Class NumberProperty

    java.lang.Object
      org.apache.jmeter.testelement.property.AbstractProperty
          org.apache.jmeter.testelement.property.NumberProperty

All Implemented Interfaces:
  Serializable, Cloneable, Comparable<JMeterProperty>, JMeterProperty

Direct Known Subclasses:
  DoubleProperty, FloatProperty, IntegerProperty, LongProperty

    public abstract class NumberProperty

extends AbstractProperty

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.jmeter.testelement.property.AbstractProperty
`log`

Constructor Summary
`NumberProperty()`
`NumberProperty(String name)`

Method Summary
`int` | `compareTo(JMeterProperty arg0)` Compares two JMeterProperty object values.
`protected abstract void` | `setNumberValue(Number n)` Set the value of the property with a Number object.
`protected abstract void` | `setNumberValue(String n)` Set the value of the property with a String object.
`void` | `setObjectValue(Object v)`

Methods inherited from class org.apache.jmeter.testelement.property.AbstractProperty
`clone, convertObject, createProperty, equals, getBlankProperty, getBlankProperty, getBooleanValue, getDoubleValue, getFloatValue, getIntValue, getIterator, getLongValue, getName, getPropertyType, hashCode, isEqualType, isRunningVersion, makeProperty, mergeIn, normalizeList, normalizeMap, setName, setRunningVersion, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.jmeter.testelement.property.JMeterProperty
`getObjectValue, getStringValue, recoverRunningVersion`

Constructor Detail

### NumberProperty

    public NumberProperty()

### NumberProperty

    public NumberProperty(String name)

Method Detail

### setNumberValue

    protected abstract void setNumberValue(Number n)

  Set the value of the property with a Number object.

### setNumberValue

    protected abstract void setNumberValue(String n)
                                    throws NumberFormatException

  Set the value of the property with a String object.

  Throws:
    `NumberFormatException`

### setObjectValue

    public void setObjectValue(Object v)

### compareTo

    public int compareTo(JMeterProperty arg0)

  Description copied from class: `AbstractProperty`
  Compares two JMeterProperty object values. N.B. Does not compare names

  Specified by:
    `compareTo` in interface `Comparable<JMeterProperty>`
  Overrides:
    `compareTo` in class `AbstractProperty`
  Parameters:
    `arg0` - JMeterProperty to compare against
  Returns:
    0 if equal values or both values null; -1 otherwise
  See Also:
    `Comparable.compareTo(Object)`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2012 Apache Software Foundation. All Rights Reserved.